# Class Application

java.lang.Object
com.redhat.et.libguestfs.Application

public class Application extends Object
Application structure.

See Also:
  - `GuestFS`

## Field Summary

Fields
Modifier and Type
Field
Description
`String`
`app_description`
`String`
`app_display_name`
`int`
`app_epoch`
`String`
`app_install_path`
`String`
`app_name`
`String`
`app_publisher`
`String`
`app_release`
`String`
`app_source_package`
`String`
`app_summary`
`String`
`app_trans_path`
`String`
`app_url`
`String`
`app_version`

## Constructor Summary

Constructors
Constructor
Description
`Application()`

## Method Summary

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### app_name

public String app_name

### app_display_name

public String app_display_name

### app_epoch

public int app_epoch

### app_version

public String app_version

### app_release

public String app_release

### app_install_path

public String app_install_path

### app_trans_path

public String app_trans_path

### app_publisher

public String app_publisher

### app_url

public String app_url

### app_source_package

public String app_source_package

### app_summary

public String app_summary

### app_description

public String app_description

## Constructor Details

### Application

public Application()